Creates a new alert routing rule from provided data. Note: If you are an advanced alert routing user, you should use the Alert Routes endpoint instead of this endpoint. If you don’t know whether you are an advanced user, please contact Rootly customer support.
curl --request POST \
--url https://api.rootly.com/v1/alert_routing_rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "alert_routing_rules",
"attributes": {
"name": "<string>",
"alerts_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destination": {
"target_type": "Service",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"enabled": true,
"owning_team_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"position": 123,
"condition_type": "all",
"conditions": [
{
"property_field_type": "attribute",
"property_field_name": "<string>",
"property_field_condition_type": "is_one_of",
"property_field_value": "<string>",
"property_field_values": [
"<string>"
]
}
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "alert_routing_rules",
"attributes": {
"name": "<string>",
"enabled": true,
"alerts_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 123,
"condition_type": "all",
"created_at": "<string>",
"updated_at": "<string>",
"conditions": [
{
"property_field_type": "attribute",
"property_field_name": "<string>",
"property_field_condition_type": "is_one_of",
"property_field_value": "<string>",
"property_field_values": [
"<string>"
]
}
],
"destination": {
"target_type": "Service",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"condition_groups": [
{
"position": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conditions": [
{
"property_field_type": "attribute",
"property_field_name": "<string>",
"property_field_condition_type": "is_one_of",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"property_field_value": "<string>",
"property_field_values": [
"<string>"
],
"conditionable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conditionable_type": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>"
}
]
}
}
}Was this page helpful?
curl --request POST \
--url https://api.rootly.com/v1/alert_routing_rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "alert_routing_rules",
"attributes": {
"name": "<string>",
"alerts_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destination": {
"target_type": "Service",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"enabled": true,
"owning_team_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"position": 123,
"condition_type": "all",
"conditions": [
{
"property_field_type": "attribute",
"property_field_name": "<string>",
"property_field_condition_type": "is_one_of",
"property_field_value": "<string>",
"property_field_values": [
"<string>"
]
}
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "alert_routing_rules",
"attributes": {
"name": "<string>",
"enabled": true,
"alerts_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 123,
"condition_type": "all",
"created_at": "<string>",
"updated_at": "<string>",
"conditions": [
{
"property_field_type": "attribute",
"property_field_name": "<string>",
"property_field_condition_type": "is_one_of",
"property_field_value": "<string>",
"property_field_values": [
"<string>"
]
}
],
"destination": {
"target_type": "Service",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"condition_groups": [
{
"position": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conditions": [
{
"property_field_type": "attribute",
"property_field_name": "<string>",
"property_field_condition_type": "is_one_of",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"property_field_value": "<string>",
"property_field_values": [
"<string>"
],
"conditionable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conditionable_type": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>"
}
]
}
}
}